Index: ram/m7menu.c
===================================================================
--- ram/m7menu.c	(revision 60288f548947383de9a52a06e402df2698a3ce5d)
+++ ram/m7menu.c	(revision 7258c6ac4de2518c5430095742a27be7af0c89d7)
@@ -36,13 +36,13 @@
 #endif
 
-extern	char	m7verms[], bfs[], loadedf[][8];
+extern	int8_t	m7verms[], bfs[], loadedf[][8];
 
 extern	struct	selbox	*csbp, *curboxp;
 
-extern	void	(*point)(short x, short y, short pen);
+extern	void	(*point)(int16_t x, int16_t y, int16_t pen);
 
 extern	void	nokey(void);
-extern	void	nodkey(short k);
-extern	short	nonf(short k);
+extern	void	nodkey(int16_t k);
+extern	int16_t	nonf(int16_t k);
 extern	void	select(void);
 extern	void	cxkstd(void);
@@ -50,30 +50,30 @@
 extern	void	cxgen(void);
 extern	void	cygen(void);
-extern	short	stdctp2(void);
-
-extern	unsigned	exp_c(unsigned c);
-
-extern	short	ndisp, runit, curslim, sgcsw, cxval, cyval, stcrow, stccol;
-extern	short	crate1[], defect, dsp_ok;
+extern	int16_t	stdctp2(void);
+
+extern	uint16_t	exp_c(uint16_t c);
+
+extern	int16_t	ndisp, runit, curslim, sgcsw, cxval, cyval, stcrow, stccol;
+extern	int16_t	crate1[], defect, dsp_ok;
 
 extern	struct	octent	*mdoct;
 
-extern	unsigned	*menuob, *obj0, vi_ctl;
-
-static char	ml01[61], ml02[61], ml03[61], ml04[61], ml05[61];
-
-short	mdselbx(short n);
-
-/* 
-
-*/
-
-static char mlc01[] = {1, 0xBA,  58, 0xB1,  1, 0xBB,  -1};
-static char mlc02[] = {1, 0xB6,  29, 0xB1,  1, 0xB7,  28, 0xB1,  1, 0xB4,  -1};
-static char mlc03[] = {1, 0xB6,  29, 0xB1,  1, 0xB2,  28, 0xB1,  1, 0xB4,  -1};
-static char mlc04[] = {1, 0xB6,  29, 0xB1,  1, 0xB5,  28, 0xB1,  1, 0xB4,  -1};
-static char mlc05[] = {1, 0xB9,  58, 0xB1,  1, 0xB8,  -1};
-
-static char	*mtexts[] = {
+extern	uint16_t	*menuob, *obj0, vi_ctl;
+
+static int8_t	ml01[61], ml02[61], ml03[61], ml04[61], ml05[61];
+
+int16_t	mdselbx(int16_t n);
+
+/* 
+
+*/
+
+static int8_t mlc01[] = {1, 0xBA,  58, 0xB1,  1, 0xBB,  -1};
+static int8_t mlc02[] = {1, 0xB6,  29, 0xB1,  1, 0xB7,  28, 0xB1,  1, 0xB4,  -1};
+static int8_t mlc03[] = {1, 0xB6,  29, 0xB1,  1, 0xB2,  28, 0xB1,  1, 0xB4,  -1};
+static int8_t mlc04[] = {1, 0xB6,  29, 0xB1,  1, 0xB5,  28, 0xB1,  1, 0xB4,  -1};
+static int8_t mlc05[] = {1, 0xB9,  58, 0xB1,  1, 0xB8,  -1};
+
+static int8_t	*mtexts[] = {
 
 	/* 0 */		"MIDAS VII      for the Buchla 700      Version",
@@ -97,5 +97,5 @@
 */
 
-static short mlintab[][4] = {
+static int16_t mlintab[][4] = {
 
 	{ 18,  26,  18, 322},
@@ -142,5 +142,5 @@
 */
 
-static short	mrowcol[][2] = {
+static int16_t	mrowcol[][2] = {
 
 	{ 2,  4},	/* 0 */
@@ -181,5 +181,5 @@
 */
 
-short	menupal[16][3] = {	/* menu display color palette */
+int16_t	menupal[16][3] = {	/* menu display color palette */
 
 	{0, 0, 0},	/* 0 */
@@ -201,5 +201,5 @@
 };
 
-short	blakpal[16][3] = {		/* black palette */
+int16_t	blakpal[16][3] = {		/* black palette */
 
 	{0, 0, 0},	/* 0 */
@@ -225,5 +225,5 @@
 */
 
-short	mfrc[][2] = {	/* file name row and column  by load type LT_??? */
+int16_t	mfrc[][2] = {	/* file name row and column  by load type LT_??? */
 
 	{20,  6},	/* assignments */
@@ -278,5 +278,5 @@
 void dswap(void)
 {
-	register short i;
+	register int16_t i;
 
 	vsndpal(blakpal);			/* blackout the palette */
@@ -305,8 +305,8 @@
 */
 
-void mlbld(char *where, char *from)
+void mlbld(int8_t *where, int8_t *from)
 {
-	register short i, j;
-	register char c;
+	register int16_t i, j;
+	register int8_t c;
 
 	while (-1 NE (i = *from++)) {
@@ -327,5 +327,5 @@
 */
 
-void mlpoint(short x, short y, short pen)
+void mlpoint(int16_t x, int16_t y, int16_t pen)
 {
 	if (v_regs[5] & 0x0180)
@@ -345,8 +345,8 @@
 */
 
-short mdselbx(short n)
+int16_t mdselbx(int16_t n)
 {
-	register unsigned mlcv, mbcv, mbak;
-	register short rc;
+	register uint16_t mlcv, mbcv, mbak;
+	register int16_t rc;
 
 #if	DEBUGIT
@@ -470,8 +470,8 @@
 void drawm(void)
 {
-	register short *mlp;
-	register short i;
-	register unsigned mlcv, mbcv, mbak;
-	char buf[16];
+	register int16_t *mlp;
+	register int16_t i;
+	register uint16_t mlcv, mbcv, mbak;
+	int8_t buf[16];
 
 	mlcv = exp_c(MLINES);
